<?php 
include '../koneksi.php';
$nomor  = $_POST['nomor'];
$km  = $_POST['km'];
$tanggal  = $_POST['tanggal'];

$siswa  = $_POST['siswa'];

$inputan = $_POST['inputan'];
$prestasi = $_POST['prestasi'];
$pelanggaran = $_POST['pelanggaran'];


mysqli_query($koneksi, "delete from absen where absen_km='$km' and date(absen_tanggal)='$tanggal'");


$nomor = rand();

for($a = 0; $a < count($siswa); $a++){
	$x_siswa = $siswa[$a];
	$x_inputan = $inputan[$a];

	// echo count($x_pelanggaran);

	if(isset($prestasi[$x_siswa])){		
		$x_prestasi = $prestasi[$x_siswa];
		for ($b=0; $b < count($x_prestasi); $b++) { 
			$y_prestasi = $x_prestasi[$b];		
			mysqli_query($koneksi, "insert into absen values (NULL, '$nomor', '$tanggal', '$km', '$x_siswa', 'plus', '$y_prestasi', '0')");
		}
	}



	if(isset($pelanggaran[$x_siswa])){		
		$x_pelanggaran = $pelanggaran[$x_siswa];
		for ($b=0; $b < count($x_pelanggaran); $b++) { 
			$y_pelanggaran = $x_pelanggaran[$b];
			mysqli_query($koneksi, "insert into absen values (NULL, '$nomor', '$tanggal', '$km', '$x_siswa', 'minus', '0', '$y_pelanggaran')");
		}
	}

}

header("location:kelas_absen.php?km=$km");